{% extends '::base.html.twig'%}
{% block body %}
<div class="row">
  <div class="col-sm-12">
    <a class="btn btn-primary" href="javascript:void(0)" data-toggle="modal" data-target="#myModal">Exporter pour paiement</a>
    <a class="btn btn-success" href="javascript:void(0)" data-toggle="modal" data-target="#myModalPdf">Generer facture</a>
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Exporter pour paiement</h4>
          </div>
          <form class="form-horizontal" method="get" action="{{path('admin_exporter_paiement', {'id': client.id})}}">
          <div class="modal-body">
            <div class="row">
              <div class="col-md-6">
              <select class="form-control" name="mois">
                <option value="Janvier">Janvier</option>
                <option value="Fevrier">Fevrier</option>
                <option value="Mars">Mars</option>
                <option value="Avril">Avril</option>
                <option value="Mai">Mai</option>
                <option value="Juin">Juin</option>
                <option value="Juillet">Juillet</option>
                <option value="Aout">Aout</option>
                <option value="Septembre">Septembre</option>
                <option value="Octobre">Octobre</option>
                <option value="Novembre">Novembre</option>
                <option value="Decembre">Decembre</option>
              </select>
            </div>
              <div class="col-md-6">
                <input type="text" name="annee" class="form-control"/>
              </div>

          </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
            <input type="submit" class="btn btn-primary" value="Voir liste" name="liste"/>
            <input target="_blank" type="submit" class="btn btn-success" value="Exporter" name="exporter"/>
          </div>
          </form>
        </div>
      </div>
    </div>
    <div class="modal fade" id="myModalPdf" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Generer Facture</h4>
          </div>
          <form class="form-horizontal" method="get" action="{{path('admin_voir_facture', {'id': client.id})}}">
          <div class="modal-body">
            <div class="row">
              <div class="col-md-6">
              <select class="form-control" name="mois">
                <option value="Janvier">Janvier</option>
                <option value="Fevrier">Fevrier</option>
                <option value="Mars">Mars</option>
                <option value="Avril">Avril</option>
                <option value="Mai">Mai</option>
                <option value="Juin">Juin</option>
                <option value="Juillet">Juillet</option>
                <option value="Aout">Aout</option>
                <option value="Septembre">Septembre</option>
                <option value="Octobre">Octobre</option>
                <option value="Novembre">Novembre</option>
                <option value="Decembre">Decembre</option>
              </select>
            </div>
              <div class="col-md-6">
                <input type="text" name="annee" class="form-control"/>
              </div>

          </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
            <input type="submit" class="btn btn-success" value="Voir" name="voir_facture"/>
          </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
<h2>Liste des factures de "{{client.nom}}"</h2>
<table id="datatable" class="table table-striped table-bordered">
  <thead>
    <tr>
      <th>Numero</th>
      <th>Police</th>
      <th>Mois</th>
      <th>Periode</th>
      <th>Net a payer</th>
      <th>Confirmer</th>
      <th>Action</th>
    </tr>
  </thead>
  <tbody>
    {% for f in factures %}
    <tr>
      <td>{{f.numeroFacture}}</td>
      <td>{{f.numeroPolice}}</td>
      <td>{{f.mois}} {{f.annee}}</td>
      <td>du {{f.periodeDebut|date('Y-m-d')}} au {{f.periodeFin|date('Y-m-d')}}</td>
      <td>{{f.netAPayer}} F CFA</td>
      <td>
        {% if f.confirmer %}
        Oui
        {% else %}
        Non
        {% endif %}
      </td>
      <td>
        <a href="{{path('admin_edit_facture', {'id': f.id})}}" class="btn btn-info btn-xs"><i class="fa fa-pencil"></i> Modifier </a>
        <a href="{{path('admin_delete_facture', {'id': f.id})}}" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i> Supprimer </a>
      </td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endblock %}
